<section class="dataset-popular">
  <div class="container py-5">
    <div class="row">
      <div class="col">
        <h1 class="py-2">
          Dataset Geospasial Populer
        </h1>
        <div class="py-2">
          Dataset Geospasial yang paling banyak diminati masyarakat.
        </div>
      </div>
    </div>

    <app-error-request *ngIf="(error$ | async) && !(loading$ | async)"
                       [errorMessages]="(error$ | async)"
                       (reloadTrigger)="getMapsetPopular()"></app-error-request>
    <div class="row mt-3"
         *ngIf="(loading$ | async)">
      <div class="col-md-6 col-lg-3 my-2">
        <ngx-skeleton-loader count="1"
                             [theme]="{ 
          height: '150px'
        }"></ngx-skeleton-loader>
        <ngx-skeleton-loader count="1"></ngx-skeleton-loader>
        <ngx-skeleton-loader count="1"></ngx-skeleton-loader>
        <ngx-skeleton-loader count="1"></ngx-skeleton-loader>
      </div>
      <div class="col-md-6 col-lg-3 my-2">
        <ngx-skeleton-loader count="1"
                             [theme]="{ 
          height: '150px'
        }"></ngx-skeleton-loader>
        <ngx-skeleton-loader count="1"></ngx-skeleton-loader>
        <ngx-skeleton-loader count="1"></ngx-skeleton-loader>
        <ngx-skeleton-loader count="1"></ngx-skeleton-loader>
      </div>
      <div class="col-md-6 col-lg-3 my-2">
        <ngx-skeleton-loader count="1"
                             [theme]="{ 
          height: '150px'
        }"></ngx-skeleton-loader>
        <ngx-skeleton-loader count="1"></ngx-skeleton-loader>
        <ngx-skeleton-loader count="1"></ngx-skeleton-loader>
        <ngx-skeleton-loader count="1"></ngx-skeleton-loader>
      </div>
      <div class="col-md-6 col-lg-3 my-2">
        <ngx-skeleton-loader count="1"
                             [theme]="{ 
          height: '150px'
        }"></ngx-skeleton-loader>
        <ngx-skeleton-loader count="1"></ngx-skeleton-loader>
        <ngx-skeleton-loader count="1"></ngx-skeleton-loader>
        <ngx-skeleton-loader count="1"></ngx-skeleton-loader>
      </div>
    </div>
    <div class="row mt-2"
         *ngIf="!(error$ | async) && !(loading$ | async)">
      <div class="col-md-6 col-lg-3 my-2"
           *ngFor="let mapset of popularMapsets; let i = index;">
        <a [routerLink]="'/map/' + mapset.id"
           target="_blank">
          <div class="card">
            <div class="card-header p-0">
              <div class="map-view w-100"
                   [id]="'mapView' + i"></div>
            </div>
            <div class="card-body p-4">
              <div class="container h-100">
                <div class="row title text-dark mb-2">
                  {{ mapset.name }}
                </div>
                <div class="row sub">
                  {{ (mapset.description.length>200) ? (mapset.description | slice:0:150)+ '...':(mapset.description)
                  }}
                </div>
              </div>
            </div>
          </div>
        </a>
      </div>
      <div class="col-md-6 col-lg-3 my-2">
        <a routerLink="/map">
          <div class="card card-explore-mapset text-white">
            <div class="card-body p-4">
              <div style="margin-top: 74px; margin-bottom: 50px;">
                <fa-icon [icon]="icons.faSearch"
                         style="font-size: 30px;"></fa-icon>
              </div>
              <div class="title mb-2">Jelajahi Dataset Geospasial Lainnya</div>
              <div class="my-3">
                Lihat selengkapnya <fa-icon style="font-size:0.8em"
                         [icon]="icons.faChevronRight"></fa-icon>
              </div>
            </div>
          </div>
        </a>
      </div>
    </div>
  </div>
</section>